Bug 1022649 - evince: Error setting extended attribute 'security.selinux': Operation not supported
evince: Error setting extended attribute 'security.selinux': Operation not su...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
25
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1366608
  Show dependency treegraph
 
Reported: 2013-10-23 13:34 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2016-12-11 14:27 EST (History)
13 users (show)

See Also:
Fixed In Version: evince-3.22.1-2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1366608 (view as bug list)
Environment:
Last Closed: 2016-12-11 14:27:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error message (33.02 KB, image/png)
2013-10-23 13:40 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 692552 None None None Never

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-23 13:34:35 EDT
Description of problem:
I tried to save a PDF file open in evince to disk. Evince was launched from thunderbird, I'm not sure if it matters here. The directory to save into is mounted using NFS4 (with sec=sys, no selinux support). Evince saved the file successfully, but displayed an error message.

---8<-----
The file could not be saved as “file:///home/zbyszek/neuro/pub/ssa/HepburnFrontiersCompNeuro2013.pdf”.

Error setting extended attribute 'security.selinux': Operation not supported
--->8-----

Version-Release number of selected component (if applicable):
evince-3.10.0-1.fc20.x86_64

Expected results:
That evince ignores settings not applicable to a file system, and doesn't say "failed to save", when it actually saved successfully.
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-10-23 13:40:15 EDT
Created attachment 815492 [details]
error message
Comment 2 Steeve McCauley 2013-11-15 07:22:35 EST
I've also seen this, for a few versions of fedora at least.  Currently at Fedora 19, mountpoint is nfs4.
Comment 3 Milan Bouchet-Valat 2014-09-01 06:35:31 EDT
I'm seeing the same on F20, with a BTRFS /home, when trying to save a PDF downloaded and opened via Firefox (which saves to /var/tmp, a ext4 partition). Looks like Mozilla is the common factor here.
Comment 4 Marek Kašík 2014-09-01 11:22:13 EDT
There is an upstream bug for this. I've attached there a patch which at least says that setting of an attribute failed instead of saying that the save failed.
Comment 5 Milan Bouchet-Valat 2014-09-01 11:27:12 EDT
Great, thanks!

I'd still like to find out what's causing the extended attributes issue in the first place. My /home definitely supports them...
Comment 6 Rodrigo Kassick 2015-04-03 11:46:11 EDT
I think the issue is quite mundane.

Firefox saves files to /tmp with permissions 0400/-r--------  

When Firefox calls evince to open the file and the user uses "Save as" to store the file elsewhere in their filesystem, it simply copies the file with the same permissions. The file saved in the home directory has permissions 0400 as well.

Calling setattr in a file with read-only permissions results in "permission denied" .

I'm guessing the problem is simply permissions, rather then extended attributes
Comment 7 Milan Bouchet-Valat 2015-04-03 12:09:15 EDT
Good catch. So looks like there are two bugs here:
1) Firefox should copy files with write permissions.
2) Evince shouldn't complain with a cryptic error when it cannot write to a file (after all, we only want to view it...).
Comment 8 Fedora End Of Life 2015-05-29 05:37:11 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Steeve McCauley 2015-05-29 07:17:28 EDT
The bug still exists when using "Save a copy ..." in evince 3.14.2 to an nfs mounted filesystem.  This happens whether the file was saved with firefox or opened and saved using evince, so firefox doesn't enter into this issue at all.

I just verified this in Fedora 21.

The error message is still a fatal message: The file could not be saved as "file:///nfs/mount/foo.pdf".
Error setting extended attribute 'security.selinux': operation not supported

But the file most definitely is saved.
Comment 10 Zbigniew Jędrzejewski-Szmek 2015-05-29 12:23:38 EDT
I saw this recently in F21.
Comment 11 Dominik Grafenhofer 2015-06-26 02:23:26 EDT
I observe the same problem on F22 when opening PDFs in evince (3.16.1) via firefox.
Comment 12 Fedora End Of Life 2015-11-04 06:14:57 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Daniel 2015-11-04 15:45:16 EST
problem still exists in Fedora 23 evince 3.18.0
Comment 14 dan 2015-12-29 08:48:32 EST
Saw similar in FC23.  File was saved to disk (worked with both a local save to /tmp and an nfs save to homedir).  Oddly, reference to nfs4_acl was also on /tmp which is local.

The file could not be saved as “file:///tmp/testForm.pdf”.
Error setting extended attribute 'system.nfs4_acl': Operation not supported
Comment 15 Steeve McCauley 2016-06-08 09:52:16 EDT
Problem still exists in FC24 (beta) evince 3.20.
Comment 16 Fedora Admin XMLRPC Client 2016-10-14 04:09:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora End Of Life 2016-11-24 06:03:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Steeve McCauley 2016-11-24 07:03:34 EST
Problem still exists in F24, please change version to F24.
Comment 19 dan 2016-12-07 09:10:13 EST
Verified exists in FC25, I cannot bump version, would someone with access please bump?
Comment 20 Fedora Update System 2016-12-09 08:05:54 EST
evince-3.22.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3759fe3581
Comment 21 Fedora Update System 2016-12-09 22:57:45 EST
evince-3.22.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3759fe3581
Comment 22 Fedora Update System 2016-12-11 14:27:50 EST
evince-3.22.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.